<!DOCTYPE html>
<html lang="zh-CN">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width,initial-scale=1,minimum-scale=1,maximum-scale=1,user-scalable=no">
    <title>MC-RATIO</title>
    <script>
        // 复制这一段在<head>即可=========
        !function(e,t){"object"==typeof exports&&"undefined"!=typeof module?module.exports=t():"function"==typeof define&&define.amd?define(t):(e=e||self,e.ratio=t())}(this,function(){"use strict";return function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{},t=document.documentElement,i=e.el||t,n=e.size[0],o=e.size[1]/n,d=e.max,c=e.min,a=e.full,l=function(){var l=window.devicePixelRatio;e.dpr&&document.getElementsByName("viewport")[0].setAttribute("content","width=device-width,initial-scale=1,minimum-scale=".concat(1/l,",maximum-scale=").concat(1/l,",user-scalable=no"));var s=t.clientWidth;s>d&&(s=d),c>s&&(s=c);var u,f=t.clientHeight;u=(u=a&&o>f/s?f/o/n:s/n).toFixed(e.fixed?e.fixed+2:2),u=100*parseFloat(u),i.style.fontSize=u+"px",e.then&&e.then(u)};l(),window.addEventListener("resize",l)}});
        // size:[设计稿宽度，设计稿高度] full:ture开启宽度双向自适应，false仅开启宽度自适应
        ratio({size: [750, 1334], full:1 });
        // 写尺寸规则：所有尺寸写设计稿尺寸／100，比如设计稿宽600px写width:6rem,设计稿字号28px写fint-size:.28rem;
        // 复制这一段在<head>即可=========
    </script>
</head>
<body>
<h3>MC-RATIO</h3>
<br>
<div id="area">
    <br>
    <br>
    <br>
    <p>哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈</p>
    <p>↑</p>
    <p><em>任凭你尺寸千变万化，我总是一行显示</em></p>
    <br>
    <br>
    <br>
    <br>
    <br>
    <br>
    <h5>你或大或小横屏竖屏</h5>
    <h2>我总是刚刚好</h2>
    <br>
    <br>
    <br>
    <br>
    <br>
    <br>
    <br>
    <br>
    <br>
    <br>
    <p>MC-RATIO V1.0.0</p>
</div>
</body>
</html>